Skip to content

Compare networks

GET
/analytics/platforms
curl --request GET \
--url 'https://api.warmup.social/analytics/platforms?role=own&from=2026-09-01&to=2026-09-30&tz=UTC' \
--header 'Authorization: Bearer <token>'
role
string
Allowed values: own competitor

Whose accounts to analyze — your own or competitors.

from
string format: date

Example

2026-09-01

Period start, YYYY-MM-DD, inclusive. Defaults to 30 days before to. Periods longer than 365 days are cut from the start.

to
string format: date

Example

2026-09-30

Period end, YYYY-MM-DD, inclusive. Defaults to today in tz.

tz
string
default: UTC

Example

Europe/Berlin

IANA time zone used to split days.

platform
Array<string>
Allowed values: instagram tiktok facebook

Only these networks. Comma-separated or repeated.

group
Array<string>

Only accounts from these collections (names from “List analytics filters”).

accountId
Array<string>

Only these accounts (ids from “List analytics filters”).

Totals per network for the period.

Media typeapplication/json
object
period
required
object
from
required
string format: date
to
required
string format: date
days
required
integer
platforms
required
Array<object>
object
platform
required
string
Allowed values: instagram tiktok facebook
posts
required
integer
views
required
integer
likes
required
integer
comments
required
integer
avgViewsPerPost
required
number
nullable
er
required
number
nullable

Example

{
"period": {
"days": 30
},
"platforms": [
{
"platform": "instagram"
}
]
}

The Bearer token is missing or invalid.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}